﻿using KB2185_XamTreeGrid_ExpandNodesByHandlingEvent.Infrastructure;
using System;
using System.Collections.ObjectModel;

namespace KB2185_XamTreeGrid_ExpandNodesByHandlingEvent.Model
{
	public class Employee : ObservableObject
    {
		private int _employeeID;

		public int EmployeeID
		{
			get { return _employeeID; }
			set { _employeeID = value; OnPropertyChanged(); }
		}

		private String _name;

		public String Name
		{
			get { return _name; }
			set { _name = value; OnPropertyChanged(); }
		}

		private ObservableCollection<Employee> _subordinates;

		public ObservableCollection<Employee> Subordinates
		{
			get { return _subordinates; }
			set { _subordinates = value; OnPropertyChanged(); }
		}

		public Employee()
		{

		}
	}
}
